@echo off

rem This is only a wrapper which calls database upgrade script and then sets the security up.
rem
rem 

setlocal

echo Updating environment to the latest and greatest build...

echo Please mind the stored procedures will not be all dropped/recreated - only those included in the change log are applied

call "#Update database(s).cmd" %*
if %errorlevel% neq 0 (
  echo Failure during database upgrade
  goto error_exit
) else (
  echo OK
)

call "#Security - setup roles and permissions.cmd"  %*
if %errorlevel% neq 0 (
  echo Failed to update database roles and permissions 
  goto error_exit
) else (
  echo OK
)

call "#Security - setup logins and db users.cmd"  %*
if %errorlevel% neq 0 (
  echo Failed to update logins and database users
  goto error_exit
) else (
  echo OK
)

endlocal
exit /b 0

:error_exit
echo FAILED to update the environment - see log for details

endlocal
exit /b -1