@echo off
set srvname=%1
set dbname=%2
set scriptfile=%3
rem set logfile=%4
set tmpfile=tmp.tmp

set scriptfile=..\Scripts\NewDbCreation\ExampleDB.SchemaCreation.sql


echo This script is generating the database objects from the existing database

if not defined srvname goto errout
if not defined dbname goto errout
if not defined scriptfile goto errout
rem if not defined logfile set logfile=log.txt

echo Step 1. Generate code for database objects excluding the SSB object
(
"C:\Program Files (x86)\Red Gate\SQL Compare 10\SQLCompare.exe" ^
/server1:%srvname% ^
/database1:%dbname% ^
/snapshot2:emptyDbSnapshot.snp ^
/scriptfile:%scriptfile% ^
/scriptencoding:Unicode ^
/options:ip,it,iw,ie,ic,iwn,ist,iu,iup,irpt,icc,isoa,nt,nc ^
/exclude:StoredProcedure ^
/exclude:Function ^
/exclude:Role ^
/exclude:User ^
/exclude:FullTextCatalog ^
/exclude:Route ^
/exclude:EventNotification ^
/exclude:ServiceBinding ^
/exclude:Certificate ^
/exclude:SymmetricKey ^
/exclude:AsymmetricKey ^
/exclude:Synonym ^
/exclude:DDLTrigger ^
/force 
)


exit /b %ERRORLEVEL%

:errout
echo ERROR: One of the parameters was not given:
echo server name = %srvname%; db name = %dbname%; script file = %scriptfile%
exit /b -1